org.wildfly.swarm.config.infinispan.cache_container

## Enum Backup.Strategy

- java.lang.Object
- - java.lang.Enum<Backup.Strategy>
  - - org.wildfly.swarm.config.infinispan.cache_container.Backup.Strategy

- All Implemented Interfaces:
    Serializable, Comparable<Backup.Strategy>
  Enclosing class:
    Backup<T extends Backup<T>>

      public static enum Backup.Strategy
      extends Enum<Backup.Strategy>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASYNC`
    `SYNC`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAllowedValue()` Returns the allowed value for the management model.
    `String` | `toString()`
    `static Backup.Strategy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Backup.Strategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SYNC

          public static final Backup.Strategy SYNC

    - #### ASYNC

          public static final Backup.Strategy ASYNC

  - ### Method Detail

    - #### values

          public static Backup.Strategy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Backup.Strategy c : Backup.Strategy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Backup.Strategy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getAllowedValue

          public String getAllowedValue()

      Returns the allowed value for the management model.
      Returns:
        the allowed model value

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<Backup.Strategy>`

Copyright © 2018 JBoss by Red Hat. All rights reserved.